{% extends 'organization/layout_organization.html' %}
{% load bootstrap %}
{% load i18n %}
{% load sekizai_tags %}

{% block page_content_title %}

    {% include "parts/_page_header.html" %}

    <div class="toolbar wide">
        <div class="">
            <a href="{% url "my_product_list" organization.slug %}" class="btn btn-default">
                <span class="{{ ICONS.back }}"></span>
                {% trans "Back" %}
            </a>

            <div class="btn-group">
                <a href="#actions" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
                    <span class="{{ ICONS.action }}"></span>
                    {% trans "Actions" %}
                    <span class="caret"></span>
                </a>
                <ul class="dropdown-menu">
                    {% comment %}
                    {# Hiding product IDs, see AP-490 #}
                    <li>
                        <a href="{% url 'create_product_identifier' organization.slug product.pk %}">
                            <span class="{{ ICONS.create }}"></span>
                            {% trans "Add identifier" %}
                        </a>
                    </li>
                    <li class="divider"></li>
                    {% endcomment %}
                    <li>
                        <a href="{% url 'my_product_delete' organization.slug product.pk %}">
                            <span class="{{ ICONS.delete }}"></span>
                            {% trans "Delete crop" %}
                        </a>
                    </li>
                </ul>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
{% endblock %}

{% block page %}

    <div>

        {% include 'product/_product_type_list_data.html' %}

        {% for section_name,section in section_models.items %}
            {% include 'sams/_flip_section.html' %}
        {% endfor %}

    {% comment %}
    {# Hiding product IDs, see AP-490 #}
        <div class="page-section" id="product-identificators-section">
            <div class="page-section-header">
                <h2>
                    {% trans "Product Identificators" %}
                </h2>
            </div>
            <div class="page-section-content">
                <table class="table table-striped">
                    <thead>
                    <th>
                        {% trans "Type" %}
                    </th>
                    <th>
                        {% trans "Name" %}
                    </th>
                    <th>
                        {% trans "Value" %}
                    </th>
                    <th></th>
                    </thead>
                    <tbody>
                    {% for identifier in identifiers %}
                        <tr>
                            <td>
                                {{ identifier.identifier_type }}
                            </td>
                            <td>
                                {{ identifier.identifier_type_name }}
                            </td>
                            <td>
                                {{ identifier.value }}
                            </td>
                            <td>
                                <a href="{% url 'edit_product_identifier' organization.slug product.pk identifier.pk %}">
                                    <span class="{{ ICONS.edit }}"></span>
                                    {% trans "Edit" %}
                                </a>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    {% endcomment %}
    </div>


{% endblock %}
